import { SingleTextEdit } from "../../../../common/core/textEdit.js";
import { Command } from "../../../../common/languages.js";
import { InlineSuggestionItem } from "./inlineSuggestionItem.js";
export declare class InlineEdit {
    readonly edit: SingleTextEdit;
    readonly commands: readonly Command[];
    readonly inlineCompletion: InlineSuggestionItem;
    constructor(edit: SingleTextEdit, commands: readonly Command[], inlineCompletion: InlineSuggestionItem);
    get range(): import("../../../../common/core/range.js").Range;
    get text(): string;
    equals(other: InlineEdit): boolean;
}
